[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuChangeEvent

Specifies an event handler signalled when a menu or menu item is changed.

## Declaration

Source position: menus.pp line 60

`type TMenuChangeEvent = procedure(`
`Sender: TObject;`
`Source: TMenuItem;`
`Rebuild: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Source` |  | Menu or menu item where the change occurred.
`Rebuild` |  | True to rebuild the menu item hierarchy.

## Description

TMenuChangeEvent defines an event handler signalled when a menu or a menu item has been changed.

TMenuChangeEvent is the type used for the OnChange property in both TMenu and TMenuItem, and implemented in the TMenu.MenuChanged method.

## See also

TMenu.OnChange |  | Event handler signalled when a menu item in Items has been changed.
TMenu.MenuChanged |  | Implements the OnChange event handler assigned to menu items in the menu.
TMenuItem.MenuChanged |  | Signals the OnChange event handler (when assigned) and optionally rebuilds child menu items.